<template>
	<el-container>
		<template >
			<el-container v-show="isExactActive">
				<el-header height="50px">
					<action-bar :collapsed.sync="app.isCollapse">
						<slot name="toolbar-actions" />
					</action-bar>
				</el-header>
				<el-main>
					<slot></slot>
				</el-main>
			</el-container>
		</template>
		<template >
			<router-view :key="$route.fullPath" ref="rv" ></router-view>
		</template>
	</el-container>
</template>

<script>
import actionBar from './misc/action-bar'
import appStore from '../store/app'

export default {
  name: 'mind-app',
  components: {
		actionBar,
  },
	updated() {
			this.isExactActive = typeof this.$refs.rv === 'undefined';
	},

	mounted() {
			this.isExactActive = typeof this.$refs.rv === 'undefined';
	},
	data() {
		return {
			app: appStore,
			isExactActive: true,
		}
	}
}
</script>

<style scoped>
.el-container {
	overflow-y: scroll;
	height: calc(100%);
	padding: 0;
}

.el-header {
	padding: 0;
	/* width: 100%; */
}

</style>
